﻿using System;
using System.Net;
using System.Windows;

using System.Runtime.Serialization;

namespace ComboAcceptBug
{
    [DataContract]
    public class DeviceTagValue : ObservableObject
    {
        [DataMember]
        public string FeederId
        {
            get { return _feederId; }
            set
            {
                _feederId = value;
                NotifyPropertyChanged("FeederId");
            }
        }
        private string _feederId;

        public string UniqueId
        {
            get
            {
                if (_uniqueId == null)
                    _uniqueId = string.Format("{0},{1}", Id, FeederId);
                return _uniqueId;
            }
            set
            {
                _uniqueId = value;
                NotifyPropertyChanged("UniqueId");
            }
        }
        private string _uniqueId;


        /// <summary>
        /// Gets or sets the id.
        /// </summary>
        /// <value>
        /// The id.
        /// </value>
        [DataMember]
        public string Id
        {
            get { return _id; }
            set
            {
                _id = value;
                NotifyPropertyChanged("Id");
            }
        }
        private string _id;



        /// <summary>
        /// Gets or sets the tag id.
        /// </summary>
        /// <value>
        /// The tag id.
        /// </value>
        [DataMember]
        public string TagId
        {
            get { return _tagId; }
            set
            {
                _tagId = value;
                NotifyPropertyChanged("TagId");
            }
        }
        private string _tagId;

        /// <summary>
        /// Gets or sets the description.
        /// </summary>
        /// <value>
        /// The description.
        /// </value>
        [DataMember]
        public string Description
        {
            get { return _description; }
            set
            {
                _description = value;
                NotifyPropertyChanged("Description");
            }
        }
        private string _description;



    }
}
